Google Web Toolkit (Beta)
Search this site:

# Interface SourcesMouseWheelEvents

public interface SourcesMouseWheelEvents
// Implemented by `Label`, `Image`, `FocusPanel`
A widget that implements this interface sources the events defined by the MouseWheelListener interface.

## Methods

addMouseWheelListener(MouseWheelListener) | Adds a listener interface to receive mouse events.
removeMouseWheelListener(MouseWheelListener) | Removes a previously added listener interface.

## Method Detail

### addMouseWheelListener

public void addMouseWheelListener(MouseWheelListener listener)
Adds a listener interface to receive mouse events.

#### Parameters

listener
  the listener interface to add

### removeMouseWheelListener

public void removeMouseWheelListener(MouseWheelListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove